From 395e20f64c1846fc866c210a70c06e87031dc2ed Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 24 2021 19:48:47 +0000
Subject: [PATCH 2172/2232] Suppress cppcoreguidelines-pro-type-varargs lint from clang-tidy


I don't understand why this specific lint is triggering in the two cases below
but the code seems fine.

    include/cxx.h:882:3: error: do not declare variables of type va_list; use variadic templates instead [cppcoreguidelines-pro-type-vararg,-warnings-as-errors]
      auto data = reinterpret_cast<char *>(this->data());
      ^
    src/cxx.cc:355:3: error: do not declare variables of type va_list; use variadic templates instead [cppcoreguidelines-pro-type-vararg,-warnings-as-errors]
      char *copy = new char[len];
      ^

---

diff --git a/.clang-tidy b/.clang-tidy
index a1db8d3..b0a6da9 100644
--- a/.clang-tidy
+++ b/.clang-tidy
@@ -10,6 +10,7 @@ Checks:
   -cppcoreguidelines-pro-type-const-cast,
   -cppcoreguidelines-pro-type-member-init,
   -cppcoreguidelines-pro-type-reinterpret-cast,
+  -cppcoreguidelines-pro-type-vararg,
   -cppcoreguidelines-special-member-functions,
   -modernize-use-default-member-init,
   -modernize-use-equals-default,

